<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="bdc_sub_eng_ana" language="groovy" pageWidth="530" pageHeight="36" columnWidth="530" leftMargin="0" rightMargin="0" topMargin="0" bottomMargin="0">
	<property name="ireport.zoom" value="2.0"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<parameter name="engid" class="java.math.BigDecimal"/>
	<queryString>
		<![CDATA[select distinct  vca.can_id,ECANA.EANA_MONTANT_BUDGETAIRE,ECANA.EANA_HT_SAISIE,ECANA.EANA_TVA_SAISIE, ecana.eana_ttc_saisie,VCA.CAN_CODE,VCA.CAN_LIBELLE
from JEFY_DEPENSE.ENGAGE_CTRL_ANALYTIQUE ecana inner join jefy_depense.v_code_analytique vca on ecana.can_id=vca.can_id
where eng_id=$P{engid}]]>
	</queryString>
	<field name="CAN_ID" class="java.math.BigDecimal"/>
	<field name="EANA_MONTANT_BUDGETAIRE" class="java.math.BigDecimal"/>
	<field name="EANA_HT_SAISIE" class="java.math.BigDecimal"/>
	<field name="EANA_TVA_SAISIE" class="java.math.BigDecimal"/>
	<field name="EANA_TTC_SAISIE" class="java.math.BigDecimal"/>
	<field name="CAN_CODE" class="java.lang.String"/>
	<field name="CAN_LIBELLE" class="java.lang.String"/>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band splitType="Stretch"/>
	</title>
	<pageHeader>
		<band splitType="Stretch"/>
	</pageHeader>
	<columnHeader>
		<band height="12" splitType="Stretch">
			<line>
				<reportElement x="5" y="5" width="524" height="1" forecolor="#CCCCCC"/>
				<graphicElement>
					<pen lineWidth="11.0"/>
				</graphicElement>
			</line>
			<staticText>
				<reportElement x="10" y="0" width="85" height="12">
					<printWhenExpression><![CDATA[new Boolean($F{CAN_CODE} != null)]]></printWhenExpression>
				</reportElement>
				<textElement textAlignment="Right">
					<font fontName="Arial" size="8" isBold="true"/>
				</textElement>
				<text><![CDATA[Codes analytiques :]]></text>
			</staticText>
			<staticText>
				<reportElement x="438" y="0" width="90" height="12"/>
				<textElement textAlignment="Right">
					<font fontName="Arial" size="8" isBold="true"/>
				</textElement>
				<text><![CDATA[Montant TTC]]></text>
			</staticText>
		</band>
	</columnHeader>
	<detail>
		<band height="12" splitType="Stretch">
			<textField pattern="#,##0.00">
				<reportElement x="438" y="0" width="90" height="12"/>
				<textElement textAlignment="Right" verticalAlignment="Top">
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{EANA_TTC_SAISIE}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="95" y="0" width="343" height="12"/>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{CAN_CODE}+" - "+$F{CAN_LIBELLE}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band splitType="Stretch"/>
	</columnFooter>
	<pageFooter>
		<band splitType="Stretch"/>
	</pageFooter>
	<summary>
		<band splitType="Stretch"/>
	</summary>
</jasperReport>
